/*
 * Modul: News
 * Author: Nikola Micic <nikola.micic@newcomsolution.ch>
 * Version: 1.0
 * Erstellt am 11.12.2012
 * (C) newcom solution AG
 */
 
// Speichert Request von Ajax fuer Details
jsonNews = undefined;
scrollNews = 0;
// Zeigt News an
function showNews(){
	activePage = "news";
	_gaq.push(['_trackPageview', "/news"]);	//Google Analytics: Registriert News Seite
	$('#ul-news').show();	//Zeigt den News-Content an
	$('#newsDetail').hide();	//Versteckt Detailseite
	$("#maintitel").text("News");	//Aendert den Headertitel
	$("#backbutton").hide();	//Versteckt Zurueckbutton
	$("#refreshbutton").attr("onclick", "refresh('news')").show();	//Zeigt Refreshbutton und aendert Parameter der Refresh-Funktion
	if(jsonNews === undefined) getNews();	//Laedt News via Ajax, wenn sie noch nie Aufgerufen wurde.
	$(window).scrollTop(scrollNews);
	//setTimeout(checkBanner("news"), 6000);
	refreshBanner();
	checkFreeModul("news");
}
/* Wenn auf ein News geklickt wurde, wird 
	die Funktion fuer Details aufgerufen */
$('#ul-news li').live('click', function() {
	scrollNews = $(window).scrollTop();
	_gaq.push(['_trackPageview', "/news/detail"]);  //GA: Registriert News Detail Seite
	getNewsDetail(this.id); //Zeigt die News Detail an
	$(window).scrollTop(0);
	checkBanner("newsDetail");
	checkFreeModul("newsdetail");
});

// Funktion fuers Zeigen der  Detailseite
function getNewsDetail(id) {
	var html="";
	var ID = id.replace("news_", "");
	activePage = "newsDetail";
	refreshBanner();
	
	html += "<img src='http://www.scltigers.ch/cgi-bin/news/" + jsonNews.news[ID].images + "' alt='" + jsonNews.news[ID].title + "' class='news-detail-bild' />"
	html += "<b>" +jsonNews.news[ID].title + "</b>";
	html += "<p>" + jsonNews.news[ID].content + "</p>";
	
	$("#newsDetail").html(html);
	$("#maintitel").text("News Detail");
	
	$('#ul-news').hide();
	$("#refreshbutton").hide();
	$('#newsDetail').show();
	$("#backbutton").attr("onclick", "back('news')");
	$('#backbutton').show();
}

// Holt News via Ajax und gibt sie aus 
function getNews(){
	//Zeigt Lade-Screen an
	$.mobile.showPageLoadingMsg("a", "Lade News...");
	
	//Holt Daten und verarbeitet diese
	$.ajax({
		type: "GET",
		async: true,
		cache: false,
		url: "http://www.app24.ch/app/customers/scltigers/xml/news.aspx",
		context: "json",
		success: function(json){
			var html = "";
			jsonNews = json;
			
			//Zählt wie viele Objekte in JSON drin sind
			var count = 0;
			for(var value in json.news){
				count++;
			}
			
			//Wenn keine Daten vorhanden sind, wird eine Fehlermeldung angezeigt
			if(count == 0){
				$("#ul-news").html("<li class='li-error'><span class='error'>Zurzeit sind keine News vorhanden!</span></li>");
				$("#ul-news").listview("refresh");
				$("#ul-news").show();
				$.mobile.hidePageLoadingMsg();
				return true;
			}
			
			//Generiert die Ausgabe
			for(var i = 0; i < count; i++){
				
				html += (i == 0) ? "<li data-icon='false' id='news_" + i+ "'>" : "<li data-icon='pfeil' id='news_" + i + "'>";
					html += "<a>";
						html += "<img src='http://www.scltigers.ch/cgi-bin/news/" + json.news[i].images + "' alt='" + json.news[i].title + "' />";
						html += "<h1>" + json.news[i].title + "</h1>";
						html += "<p>" + json.news[i].description + "</p>";
						var datum = Date.create(json.news[i].date).format("{dd}. {Month} {yyyy} {HH}:{mm}h");
						html += "<p class='news-date'>" + datum + "</p>";
					html += "</a>";
				html += "</li>";
			}
			//Fuellt die Daten in den Div-Bereich
			$("#ul-news").html(html).text();
			$('#ul-news').listview('refresh');
			$('#ul-news').show();
			
			// Css Fix - Entfernt vom Ersten Element das Bild als Thumbnail
			$("#news_0").removeClass("ui-li-has-thumb");
			$("#news_0 a img").removeClass("ui-li-thumb");
			
			$(window).scrollTop(0);
			//Entfernt den Lade-Screen
			$.mobile.hidePageLoadingMsg();
		},
		error: function(jqXHR, textStatus, errorThrown){
			//Wenn es Fehler bei der Uebertragung der Daten gibt, 
			//wird in der Javascript eine Fehlermeldung ausgegeben
			//und entfernt zugleich den Lade-Screen
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});				
}