/*
 * Modul: Spielplan
 * Author: Nikola Micic <nikola.micic@newcomsolution.ch>
 * Version: 1.1
 * Erstellt am 11.12.2012
 * (C) newcom solution AG
 */

// Speichert Request von Ajax fuer Details
jsonSpielplan = undefined;
scrollSpielplan = 0;
// Zeigt Spielplan an
function showSpielplan(){
	_gaq.push(['_trackPageview', "/spielplan"]);  //GA: Registriert die Spielplan Seite
	googletag.cmd.push(function(){googletag.pubads().refresh();});  //Banner wird aktualisiert
	$('#ol-spielplan').show(); //Zeigt Spielplan an
	$("#maintitel").text("Spielplan"); // Aendert den Headertitel
	$("#backbutton").hide();	//Versteckt Zurueckbutton
	$("#refreshbutton").attr("onclick", "refresh('spielplan')").show();	//Zeigt Refreshbutton und aendert Parameter der Refresh-Funktion
	if(jsonSpielplan === undefined) getSpielplan();	//Laedt Spielplan via Ajax, wenn sie noch nie Aufgerufen wurde.
	$(window).scrollTop(scrollSpielplan);
	refreshBanner();
	activePage = "spielplan";
	checkFreeModul("spielplan");
}

// Holt Spielplan via Ajax und gibt sie aus 
function getSpielplan(){
	//Lade-Screen wird angezeigt
	$.mobile.showPageLoadingMsg("a", "Lade Spielplan...");
	
	//Holt Daten und verarbeitet diese
	$.ajax({
		type: "GET",
		async: true,
		cache: false,
		url: "http://www.app24.ch/app/customers/scltigers/xml/spielplan.aspx",
		context: "json",
		success: function(json){
			var html = "";
			var game = undefined;
			//Ueberprueft die Daten auf Existenz
			if(json.Result !== undefined && json.Result.Games !== undefined && json.Result.Games.Game !== undefined){
				game = json.Result.Games.Game;
			}
			//Speichert die Daten lokal
			jsonSpielplan = json;
			
			//Zaehlt wie viele Objekte in JSON drin sind
			var count = 0;
			if(game !== undefined){
				for(var value in game){
					count++;
				}
			}
			
			//Wenn keine Daten vorhanden sind, wird eine Fehlermeldung angezeigt
			if(count == 0){
				$("#ol-spielplan").html("<li class='li-error'><span class='error'>Zurzeit sind kein Spielplan vorhanden!</span></li>");
				$("#ol-spielplan").listview("refresh");
				$("#ol-spielplan").show();
				$.mobile.hidePageLoadingMsg();
				return true;
			}
			
			//Generiert die Ausgabe
			for(var i = 0; i < count; i++){
				html += "<li>";
					html += "<div class='block-counter'><div class='counter'><span>" + (i + 1) + "</span></div></div>";
					html += "<div class='block-titel'>";
						if(game[i].AwayTeamID !== "102127"){
							html += "<h1>" + game[i].AwayTeamName + "</h1>";
						}else{
							html += "<h1>" + game[i].HomeTeamName + "</h1>";
						}
						html += '<span class="datum">' + getDatum(game[i].Date, game[i].Begin) + '</span>';
					html += "</div>";
					html += '<div class="block-result"><img src="http://www.app24.ch/app/customers/scltigers/app/images/teams/' + game[i].HomeTeamID + '.png" alt="" />';
					html += '<span>' + game[i].HomeScore + ':' + game[i].AwayScore + '</span>';
					html += '<img src="http://www.app24.ch/app/customers/scltigers/app/images/teams/' + game[i].AwayTeamID + '.png" alt="" /></div>';
					html += "<div class='clear'></div>";
				html += "</li>";
			}
			
			//Fuellt die Daten in den Div-Bereich
			$("#ol-spielplan").html(html).text();
			$('#ol-spielplan').listview('refresh');			
			$('#uo-spielplan').show();
			$('#backbutton').hide();
			
			$(window).scrollTop(0);
			//Entfernt den Lade-Screen
			$.mobile.hidePageLoadingMsg();
			
			//Gibt das Datum formatiert zurueck
			function getDatum(date, time){
				//var datum = new Date(date + " " + time);
				var datum = Date.create(date + " " + time).format("{Weekday}. {d}.{MM}.{yyyy} {HH}:{mm} Uhr")
				return datum;
			}
		},
		error: function(jqXHR, textStatus, errorThrown){
			//Wenn es Fehler bei der Uebertragung der Daten gibt, 
			//wird in der Javascript eine Fehlermeldung ausgegeben
			//und entfernt zugleich den Lade-Screen
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});				
}