/*
 * Modul: Tabelle
 * Author: Nikola Micic <nikola.micic@newcomsolution.ch>
 * Version: 1.0
 * Erstellt am 11.12.2012
 * (C) newcom solution AG
 */

// Speichert Request von Ajax fuer Details
jsonTabelle = undefined;
scrollTabelle = 0;
// Zeigt Tabelle an 
function showTable(){
	_gaq.push(['_trackPageview', "/tabelle"]);  //GA: Registriert die Tabelle Seite
	googletag.cmd.push(function(){googletag.pubads().refresh();});  //Banner wird aktualisiert
	$('#divTabelle').show();  //Zeigt die Tabelle
	$("#maintitel").text("Tabelle"); //Aendert den Headertitel
	$("#backbutton").hide();  //Entfernt den Back-Button
	$("#refreshbutton").attr("onclick", "refresh('tabelle')").show(); //Zeigt den Refresh-Button
	if(jsonTabelle === undefined) getTable(); //Ruft die Funktion getTable, wenn sie noch nie aufgerufen wurde
	$(window).scrollTop(scrollTabelle);
	refreshBanner();
	activePage = "tabelle"
	checkFreeModul("tabelle");
}

// Holt Spielplan via Ajax und gibt sie aus 
function getTable(){
	//Zeigt den Lade-Screen
	$.mobile.showPageLoadingMsg("a", "Lade Tabelle...");
	
	//Holt die Daten und generiert die Ausgabe
	$.ajax({
		type: "GET",
		async: true,
		cache: false,
		url: "http://www.app24.ch/app/customers/scltigers/xml/tabelle.aspx",
		context: "json",
		success: function(json){
			var html = "",
				team = undefined;
			
			//Ueberprueft die Daten auf Existenz
			if(json.Ranking !== undefined && json.Ranking.Teams !== undefined && json.Ranking.Teams.Team !== undefined){
				team = json.Ranking.Teams.Team
			}
			//Speichert die Daten lokal ab
			jsonTabelle = json;
			
			// Zaehlt die Anzahl Objekte der Request
			var count = 0;
			if(team !== undefined){
				for(var value in team){
					count ++;
				}
			}
			
			//Wenn keine Daten vorhanden sind, wird eine Fehlermeldung angezeigt
			if(count == 0){
				$("#divTabelle").html("<span class='error'>Zurzeit sind keine Tabellen vorhanden!</span>");
				$("#divTabelle").show();
				$.mobile.hidePageLoadingMsg();
				return true;
			}
			
			//Generiert die Ausgabe
			html += '<table cellpadding="0" cellspacing="0" width="100%" border="0" id="tabelle">';
				
				html += '<thead>';
					html += '<th class="rang">Rang</th>';
					html += '<th class="icon">&nbsp;</th>';
					html += '<th class="team">Team</th>';
					html += '<th class="spiele">SP</th>';
					html += '<th class="siege">S</th>';
					html += '<th class="niederlage">N</th>';
					html += '<th class="punkte">Pkt</th>';
				html += '</thead>';
				
				html += '<tbody>';
				for(var i = 0; i < count; i++){
					var img = '<img src="http://www.app24.ch/app/customers/scltigers/app/images/teams/' + team[i].TeamID + '.png" alt="' + team[i].TeamName + '" width="16" height="16" />';
					i == 7 ? html += '<tr class="border">' : html += '<tr>';
						html += '<td class="center">' + (i + 1) + '.</td>';
						html += '<td>' + img + '</th>';
						html += '<td>' + team[i].TeamName + '</td>';
						html += '<td class="center">' + team[i].Games + '</td>';
						html += '<td class="center">' + team[i].GamesWon + '</td>';
						html += '<td class="center">' + team[i].GamesLost + '</td>';
						html += '<td class="center">' + team[i].Points + '</td>';
					html += '</tr>';
				}
				html += '</tbody>';					
			html += '</table>';
			
			//Fuellt die Daten in den Div-Bereich
			$("#divTabelle").html(html);
			$('#divTabelle').show();
			
			$(window).scrollTop(0);
			//Entfernt den Lade-Screen
			$.mobile.hidePageLoadingMsg();
		},
		error: function(jqXHR, textStatus, errorThrown){
			//Wenn es Fehler bei der Uebertragung der Daten gibt, 
			//wird in der Javascript eine Fehlermeldung ausgegeben
			//und entfernt zugleich den Lade-Screen
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});				
}